IMG_0046.JPG=Moderator Rudie Duysings leads in an opening hymn,
IMG_0037.JPG=. . . food . . .
IMG_0163.JPG=The Swinburnson family.
IMG_0034.JPG=A presbytery meeting includes fellowship. . .
IMG_0047.JPG=and presbyters sing.
IMG_0039.JPG=. . . and fun.
IMG_0063.JPG=Presbytery in session
IMG_0082.JPG=Presbyters listening thoughtfully
IMG_0149.JPG=The pastors of Emmanuel OPC confer during a recess.
IMG_0142.JPG=Moderator Duysings
IMG_0168.JPG=Pastor Vosteen emphasizes a point to Pastor Johnson.
IMG_0169.JPG=Coffee time.
IMG_0228.JPG=Can you pick out the photographer who took these pictures?
IMG_0214.JPG=In session again.
IMG_0140.JPG=A presbyter leads in prayer.
IMG_0127.JPG=as Mr. Swinburnson responds to theological questions.
IMG_0184.JPG=A previous and current pastor of the host church.
